Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.impl.model
Class BAMTaskSummaryImpl

    java.lang.Object
      org.jbpm.services.task.impl.model.BAMTaskSummaryImpl

All Implemented Interfaces:
  Serializable

    @Entity
    public class BAMTaskSummaryImpl

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`BAMTaskSummaryImpl()`
`BAMTaskSummaryImpl(long taskId, String name, String status, Date createdDate, String userId, long processInstanceId)`

Method Summary
`boolean` | `equals(Object obj)`
`Long` | `getDuration()`
`Date` | `getEndDate()`
`String` | `getName()`
`long` | `getProcessInstanceId()`
`Date` | `getStartDate()`
`String` | `getStatus()`
`long` | `getTaskId()`
`String` | `getUserId()`
`Integer` | `getVersion()`
`int` | `hashCode()`
`void` | `setDuration(Long duration)`
`void` | `setEndDate(Date endDate)`
`void` | `setName(String name)`
`void` | `setProcessInstanceId(long processInstanceId)`
`void` | `setStartDate(Date startDate)`
`void` | `setStatus(String status)`
`void` | `setTaskId(long taskId)`
`void` | `setUserId(String userId)`
`void` | `setVersion(Integer version)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BAMTaskSummaryImpl

    public BAMTaskSummaryImpl()

### BAMTaskSummaryImpl

    public BAMTaskSummaryImpl(long taskId,
                              String name,
                              String status,
                              Date createdDate,
                              String userId,
                              long processInstanceId)

Method Detail

### getTaskId

    public long getTaskId()

### setTaskId

    public void setTaskId(long taskId)

### getName

    public String getName()

### setName

    public void setName(String name)

### getStartDate

    public Date getStartDate()

### setStartDate

    public void setStartDate(Date startDate)

### getEndDate

    public Date getEndDate()

### setEndDate

    public void setEndDate(Date endDate)

### getUserId

    public String getUserId()

### setUserId

    public void setUserId(String userId)

### getDuration

    public Long getDuration()

### setDuration

    public void setDuration(Long duration)

### getStatus

    public String getStatus()

### setStatus

    public void setStatus(String status)

### getProcessInstanceId

    public long getProcessInstanceId()

### setProcessInstanceId

    public void setProcessInstanceId(long processInstanceId)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getVersion

    public Integer getVersion()

### setVersion

    public void setVersion(Integer version)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.